Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support
Class XmlHolder

    java.lang.Object
      com.eviware.soapui.support.XmlHolder

All Implemented Interfaces:
  java.util.Map<java.lang.String,java.lang.Object>

    public class XmlHolder

extends java.lang.Object
implements java.util.Map<java.lang.String,java.lang.Object>

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`XmlHolder(java.lang.String xml)`
`XmlHolder(TestRunContext context, java.lang.String propertyRef)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(java.lang.Object key)`
`boolean` | `containsValue(java.lang.Object value)`
`void` | `declareNamespace(java.lang.String prefix, java.lang.String uri)`
`java.util.Set<java.util.Map.Entry<java.lang.String,java.lang.Object>>` | `entrySet()`
`java.lang.Object` | `get(java.lang.Object key)`
`org.w3c.dom.Node` | `getDomNode(java.lang.String xpath)`
`org.w3c.dom.Node[]` | `getDomNodes(java.lang.String xpath)`
`java.util.Map` | `getNamespaces()`
`java.lang.String` | `getNodeValue(java.lang.String xpath)`
`java.lang.String[]` | `getNodeValues(java.lang.String xpath)`
`java.lang.String` | `getPrettyXml()`
`java.lang.String` | `getXml()`
`org.apache.xmlbeans.XmlObject` | `getXmlObject()`
`boolean` | `isEmpty()`
`java.util.Set<java.lang.String>` | `keySet()`
`java.lang.String` | `put(java.lang.String key, java.lang.Object value)`
`void` | `putAll(java.util.Map<? extends java.lang.String,? extends java.lang.Object> t)`
`java.lang.Object` | `remove(java.lang.Object key)`
`void` | `removeDomNodes(java.lang.String xpath)`
`void` | `setNodeValue(java.lang.String xpath, java.lang.String value)`
`int` | `size()`
`void` | `updateProperty()`
`void` | `updateProperty(boolean prettyPrint)`
`java.util.Collection<java.lang.Object>` | `values()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### XmlHolder

    public XmlHolder(java.lang.String xml)
              throws org.apache.xmlbeans.XmlException

Throws:
  `org.apache.xmlbeans.XmlException`

### XmlHolder

    public XmlHolder(TestRunContext context,
                     java.lang.String propertyRef)
              throws org.apache.xmlbeans.XmlException

Throws:
  `org.apache.xmlbeans.XmlException`

Method Detail

### updateProperty

    public void updateProperty()

### updateProperty

    public void updateProperty(boolean prettyPrint)

### getNodeValue

    public java.lang.String getNodeValue(java.lang.String xpath)
                                  throws org.apache.xmlbeans.XmlException

  Throws:
    `org.apache.xmlbeans.XmlException`

### getNamespaces

    public java.util.Map getNamespaces()

### declareNamespace

    public void declareNamespace(java.lang.String prefix,
                                 java.lang.String uri)

### getNodeValues

    public java.lang.String[] getNodeValues(java.lang.String xpath)
                                     throws org.apache.xmlbeans.XmlException

  Throws:
    `org.apache.xmlbeans.XmlException`

### setNodeValue

    public void setNodeValue(java.lang.String xpath,
                             java.lang.String value)
                      throws org.apache.xmlbeans.XmlException

  Throws:
    `org.apache.xmlbeans.XmlException`

### getXmlObject

    public org.apache.xmlbeans.XmlObject getXmlObject()

### getDomNode

    public org.w3c.dom.Node getDomNode(java.lang.String xpath)
                                throws org.apache.xmlbeans.XmlException

  Throws:
    `org.apache.xmlbeans.XmlException`

### getDomNodes

    public org.w3c.dom.Node[] getDomNodes(java.lang.String xpath)
                                   throws org.apache.xmlbeans.XmlException

  Throws:
    `org.apache.xmlbeans.XmlException`

### removeDomNodes

    public void removeDomNodes(java.lang.String xpath)
                        throws org.apache.xmlbeans.XmlException

  Throws:
    `org.apache.xmlbeans.XmlException`

### getXml

    public java.lang.String getXml()

### getPrettyXml

    public java.lang.String getPrettyXml()

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### containsValue

    public boolean containsValue(java.lang.Object value)

  Specified by:
    `containsValue` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### entrySet

    public java.util.Set<java.util.Map.Entry<java.lang.String,java.lang.Object>> entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### get

    public java.lang.Object get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### keySet

    public java.util.Set<java.lang.String> keySet()

  Specified by:
    `keySet` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### put

    public java.lang.String put(java.lang.String key,
                                java.lang.Object value)

  Specified by:
    `put` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### putAll

    public void putAll(java.util.Map<? extends java.lang.String,? extends java.lang.Object> t)

  Specified by:
    `putAll` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### remove

    public java.lang.Object remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### values

    public java.util.Collection<java.lang.Object> values()

  Specified by:
    `values` in interface `java.util.Map<java.lang.String,java.lang.Object>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.